Kiếm Cơm

Diệt virus trên VPS Linux

VPS bị nhiễm virus, triệu chứng là ăn nhiều CPU, một command như là tms hoặc cron xuất hiện chiếm đến 98% sau khi gõ lệnh top Kiểm tra tiến trình nào chiếm dụng CPU với lệnh top Thực hiện cài đặt và cập nhật Sophos Anti-Virus theo hướng dẫn https://www.fosslinux.com/2852/how-to-install-sophos-antivirus-software-in-ubuntu.htm Trong quá trình cài đặt có thể bạn sẽ được hỏi username và password

Ghi chép Oracle Cloud

Mở port trên Oracle Cloud sudo firewall-cmd --permanent --add-port=8000/tcp sudo firewall-cmd --reload https://medium.com/oracledevs/getting-started-with-oracle-cloud-infrastructure-6b048dad480c https://stackoverflow.com/questions/54794217/opening-port-80-on-oracle-cloud-infrastructure-compute-node https://blogs.oracle.com/cloud-infrastructure/simple-console-connections-for-windows-administrators

Thế giới tiền mã hóa (Crypto Currency)

Tổng hợp những link về thế giới tiền mã hóa, tiền điện tử, tiền kĩ thuật số, tiền ảo …. https://qft.hodloo.com https://www.skywirex.com/ https://masternodecap.com/ https://www.coingecko.com https://coinmarketcap.com/ https://blockchainwhispers.com/bitmex-position-calculator/#more https://coinmarketcal.com/en/ https://trinsicoin.com/ https://masternodes.pro/statistics

Kiếm coin miễn phí từ airdrop và ICO bounty

Airdrop và ICO bounty là gì? Nếu bạn nào tham gia thị trường tiền mã hóa đã lâu thì các thuật ngữ airdrop, ICO và bounty có thể là rất quen thuộc. Nhiều bạn đã kiếm kha khá từ những chương trình như vậy và đổi ra được tiền tươi thóc thật nên lần này onlinekiem.com sẽ nói sơ qua về cách thức kiếm tiền theo những hình thức này.

Font một nét shx Unicode cho AutoCad

Sử dụng font một nét trong AutoCad có nhiều lợi ích như tạo ra bản vẽ nhẹ và có thể điều chỉnh chiều dày nét chữ trong khi in…Khó khăn hiện nay là có rất ít font một nét có thể gõ được kiểu Unicode dựng sẵn trong Autocad. Do đó tôi đã phát triển font một nét này dựa trên bộ font có sẵn iso3098b. Cá nhân tôi thấy bộ font này đẹp và có một số tiêu chuẩn nước ngoài sử dụng nó.

Gỡ cài đặt triệt để và cài đặt các sản phẩm của Autodesk

Đôi khi mình không thể nào cài đặt hoặc gỡ cài đặt các sản phẩm của Autodesk theo cách thông thường. Có lẽ Autodesk cũng nhận được nhiều lời than phiền như vậy nên họ đã tích hợp công cụ gỡ cài đặt trong sản phẩm của họ (hình bên dưới) Từ khi biết đến công cụ này mình thường sử dụng nó để gỡ các sản phẩm của Autodesk khi gặp sự cố và muốn cài đặt lại.

LISP tách layout thành từng bản vẽ riêng biệt

Mình thường nhận được một bản vẽ Autocad với nhiều bản vẽ trên nhiều layout khác nhau. Vì quản lý bản vẽ bằng Sheet Set Manager nên mình phải làm công việc sắp xếp lại và tách chúng ra thành những bản vẽ riêng biệt. Mỗi bản vẽ nằm trên một layout. Có vài ba LISP thực hiện việc này nhưng sau một thời gian sử dụng và kiểm thử mình sử dụng đoạn LISP bên dưới.

LISP xóa đối tượng không nằm trong viewport của layout

Sau khi tách các bản vẽ nằm trên những layout khác nhau, mình dùng LISP này để xóa những đối tượng không nằm trong viewport của layout để giảm nhẹ dung lượng bản vẽ. Công dụng - Xóa các đối tượng không nằm trong viewport của layout (defun c:DelObjectsNotOnAnyViewport () (setq ssview (ssadd)) (setvar 'ctab "MODEL") (setq app (vlax-get-acad-object)) (vlax-for lay ; for each layout (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object))) (setq id1 nil) ; ignore the first vp (if (eq :vlax-false (vla-get-modeltype lay)) (progn (vlax-for obj (vla-get-block lay) ; for each obj in layout (if (and (= (vla-get-objectname obj) "AcDbViewport") (or id1 (not (setq id1 t))) ; ignore first viewport because that is the viewport tab itself ) (progn (vla-GetBoundingBox obj 'LPVP 'UPVP) (setq LPVP (vlax-safearray->list LPVP)) (setq UPVP (vlax-safearray->list UPVP)) (setq LPMODEL (PCS2WCS LPVP (vlax-vla-object->ename obj))) (setq UPMODEL (PCS2WCS UPVP (vlax-vla-object->ename obj))) (setq minx (car LPMODEL)) (setq maxx (car UPMODEL)) (setq miny (cadr LPMODEL)) (setq maxy (cadr UPMODEL)) (setq pt1 (list minx miny)) (setq pt2 (list maxx miny)) (setq pt3 (list maxx maxy)) (setq pt4 (list minx maxy)) (vla-zoomwindow app (vlax-3d-point pt1) (vlax-3d-point pt3)) (if (setq ss (ssget "_CP" (list pt1 pt2 pt3 pt4) (list (cons 410 "MODEL")))) (setq ssview (kdub:ssunion ssview ss)) ) ) ) ) ) ) ) (setq ssall (ssget "_X" (list (cons 410 "MODEL")))) (setq sstodel (kdub:sssubtract ssall ssview)) (repeat (setq n (sslength sstodel)) (setq ent (ssname sstodel (setq n (1- n)))) (entdel ent)) ) ;;; Union of two selection sets (defun kdub:ssunion (ss1 ss2 / ss index) ;;; Source : http://www.